> For the complete documentation index, see [llms.txt](https://docs.zapiet.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapiet.com/reference/store-pickup/pickup-calendar/times.md).

# Times

## Get pickup times

<mark style="color:green;">`POST`</mark> `https://api.zapiet.com/v1.0/pickup/locations/:locationId/calendar/:date`

#### Path Parameters

| Name                                         | Type   | Description                                                   |
| -------------------------------------------- | ------ | ------------------------------------------------------------- |
| date<mark style="color:red;">\*</mark>       | string | The date you would like to get delivery times for YYYY-MM-DD. |
| locationId<mark style="color:red;">\*</mark> | string | The Zapiet location ID.                                       |

#### Query Parameters

| Name                                   | Type   | Description                             |
| -------------------------------------- | ------ | --------------------------------------- |
| shop<mark style="color:red;">\*</mark> | string | The merchant's myshopify.com store url. |

{% tabs %}
{% tab title="200: OK " %}

```json
[
  {
    "id": 1,
    "location_id": 1,
    "day_of_week": "wednesday",
    "available_from": "09:00",
    "available_until": "09:30",
    "limited": true,
    "limit": 10
  },
  {
    "id": 2,
    "location_id": 1,
    "day_of_week": "wednesday",
    "available_from": "09:30",
    "available_until": "10:00",
    "limited": true,
    "limit": 10
  }
]
```

{% endtab %}
{% endtabs %}
